import React from "react";
import { Grid, Paper, Box } from "@mui/material";
import { styled } from "@mui/material/styles";

const Item = styled(Paper)(({ theme }) => ({
  backgroundColor: theme.palette.mode === "dark" ? "#1A2027" : "#fff",
  ...theme.typography.body2,
  padding: theme.spacing(1),
  textAlign: "center",
  color: theme.palette.text.secondary,
  height: "7rem"
}));

function App() {
  return (
    <>
      <Grid container spacing={2}>
        <Grid item xs={12} md={8}>
          <Item>メイン領域</Item>
        </Grid>
        <Grid item xs={12} md={4}>
          <Item>サイドメニュー</Item>
        </Grid>
      </Grid>
    </>
  );
}

export default App;
